OGRE: Ogre::ProfileInstance Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
Ogre::ProfileInstance Class Reference
Core » General

Represents an individual profile call. More...

`#include <OgreProfiler.h>`

Inheritance diagram for Ogre::ProfileInstance:
[legend]

## Public Types
typedef Ogre::map< String, ProfileInstance * >::type | ProfileChildrenMap
typedef Ogre::vector< ProfileInstance * >::type | ProfileChildrenVec

## Public Member Functions
| ProfileInstance (void)
virtual | ~ProfileInstance (void)
void | destroyAllChildren ()
void | logResults ()
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | reset ()
bool | watchForLimit (const String &profileName, Real limit, bool greaterThan=true)
bool | watchForLimit (Real limit, bool greaterThan=true)
bool | watchForMax (const String &profileName)
bool | watchForMax (void)
bool | watchForMin (const String &profileName)
bool | watchForMin (void)

## Public Attributes
ulong | accum
| Represents the total time of all child profiles to subtract from this profile. More...
ProfileChildrenVec | children
ProfileChildrenMap | childrenMap
uint64 | currTime
| The time this profile was started. More...
ProfileFrame | frame
ulong | frameNumber
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile. More...
ProfileHistory | history
String | name
| The name of the profile. More...
ProfileInstance * | parent
| The name of the parent, null if root. More...

## Friends
class | Profiler

## Detailed Description

Represents an individual profile call.

## Member Typedef Documentation

## ◆ ProfileChildrenMap

typedef Ogre::map<String,ProfileInstance*>::type Ogre::ProfileInstance::ProfileChildrenMap

## ◆ ProfileChildrenVec

typedef Ogre::vector<ProfileInstance*>::type Ogre::ProfileInstance::ProfileChildrenVec

## Constructor & Destructor Documentation

## ◆ ProfileInstance()

Ogre::ProfileInstance::ProfileInstance | ( | void |  | ) |

## ◆ ~ProfileInstance()

virtual Ogre::ProfileInstance::~ProfileInstance | ( | void |  | ) |
| virtual

## Member Function Documentation

## ◆ destroyAllChildren()

void Ogre::ProfileInstance::destroyAllChildren | ( |  | ) |

## ◆ logResults()

void Ogre::ProfileInstance::logResults | ( |  | ) |

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ reset()

void Ogre::ProfileInstance::reset | ( |  | ) |

## ◆ watchForLimit() [1/2]

bool Ogre::ProfileInstance::watchForLimit | ( | const String & | profileName,
|  | Real | limit,
|  | bool | greaterThan = `true`
| ) |  |

## ◆ watchForLimit() [2/2]

bool Ogre::ProfileInstance::watchForLimit | ( | Real | limit,
|  | bool | greaterThan = `true`
| ) |  |
| inline

References Ogre::ProfileHistory::currentTimePercent, and history.

## ◆ watchForMax() [1/2]

bool Ogre::ProfileInstance::watchForMax | ( | const String & | profileName | ) |

## ◆ watchForMax() [2/2]

bool Ogre::ProfileInstance::watchForMax | ( | void |  | ) |
| inline

References Ogre::ProfileHistory::currentTimePercent, history, and Ogre::ProfileHistory::maxTimePercent.

## ◆ watchForMin() [1/2]

bool Ogre::ProfileInstance::watchForMin | ( | const String & | profileName | ) |

## ◆ watchForMin() [2/2]

bool Ogre::ProfileInstance::watchForMin | ( | void |  | ) |
| inline

References Ogre::ProfileHistory::currentTimePercent, history, and Ogre::ProfileHistory::minTimePercent.

## Friends And Related Function Documentation

## ◆ Profiler

friend class Profiler
| friend

## Member Data Documentation

## ◆ accum

ulong Ogre::ProfileInstance::accum

Represents the total time of all child profiles to subtract from this profile.

## ◆ children

ProfileChildrenVec Ogre::ProfileInstance::children

## ◆ childrenMap

ProfileChildrenMap Ogre::ProfileInstance::childrenMap

## ◆ currTime

uint64 Ogre::ProfileInstance::currTime

The time this profile was started.

## ◆ frame

ProfileFrame Ogre::ProfileInstance::frame

## ◆ frameNumber

ulong Ogre::ProfileInstance::frameNumber

## ◆ hierarchicalLvl

uint Ogre::ProfileInstance::hierarchicalLvl

The hierarchical level of this profile, 0 being the root profile.

## ◆ history

ProfileHistory Ogre::ProfileInstance::history

Referenced by watchForLimit(), watchForMax(), and watchForMin().

## ◆ name

String Ogre::ProfileInstance::name

The name of the profile.

## ◆ parent

ProfileInstance* Ogre::ProfileInstance::parent

The name of the parent, null if root.

The documentation for this class was generated from the following file:

- OgreProfiler.h